Uploaded image for project: 'PUBLIC - Liferay BLADE'
  1. PUBLIC - Liferay BLADE
  2. BLADE-460

blade create for form-field template doesn't work for 7.2

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Reorganized
    • Affects Version/s: 3.7.3
    • Fix Version/s: None
    • Component/s: blade-cli
    • Labels:
      None

      Description

      blade create for form-field template doesn't work for 7.2

      Blade version
      3.7.3.201906241529

      OS
      Mac OS 10.14.5

       Steps to reproduce

      1. Create a Liferay workspace for 7.2, with blade init -v 7.2
      2. Go to modules folder and run blade create -t form-field -v 7.2 -p com.liferay.test -c FormFieldTest form-field-web

      Actual Behavior
      Get error as

      error: java.lang.IllegalArgumentException :: Specified Liferay version is invalid. Must be in range [7,7.2)
      
      	at com.liferay.project.templates.internal.ProjectGenerator.generateProject(ProjectGenerator.java:85)
      
      For more information run `blade create --trace
      

      Intended Behavior
      The module is succulently created.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                2 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Packages

                  Version Package